Skip to content

Payee Details Query

API Information

  • Path: /api/v1/beneficiary/queryDetail
  • Method: POST
  • Content-Type: application/json

Business Description

  • Used to query detailed information and review status of a single payee
  • After adding a payee, you can track the review progress through this API
  • Before submitting payment, you can confirm through this API whether the payee status is "PASS" (review passed)

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
beneficiaryIdintegerID returned when adding payeeM
signstringSignatureM

Request Example

json
{
  "beneficiaryId": "1984102812163112960",
  "sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842284u3",
  "merchantNo": 801129
}

Response Result

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

Response Fields

ParameterTypeDescription
respCodestringResponse code
respMsgstringResponse message
dataobjectResponse data
  └─beneficiaryIdintegerPayee ID
  └─merchantRefIdstring(64)Unique identifier for the recipient in your system
  └─createTimestringCreation time
  └─updateTimestringUpdate time
  └─merchantNointegerMerchant number
  └─nationalitystringNationality
  └─statusstringStatus
  └─remarkstringRemark
  └─payoutCurrencystringPayout currency
  └─expireDatestringExpiry date
  └─bankNamestringBank name
  └─accountNamestringAccount name
  └─bankAddressstringBank address
  └─payeeStatusstringPayee status
  └─accountBelongstringAccount ownership [0:own,1:others]
  └─bankCountrystringReceiving bank country
  └─entityTypestringEntity type [0:corporate,1:individual]
  └─payeeAddressstringPayee address
  └─paymentMethodstringPayment Method
  └─payeeCountrystringPayee country
  └─receiverInfostringPayee Information
  └─addressstringAddress Information
  └─accountInfomationstringAccount information
payeeStatus Status Description
  • WAITING: Waiting
  • PROCESS: Processing
  • REJECT: Rejected
  • PASS: Passed
  • FAIL: Failed
  • UNNECESSARY: Not required
  • PENDING_UPDATE: Pending update
  • DISABLE: Disabled

Response Example

json
{
  "respCode": "20000",
  "respMsg": null,
  "data": {
    "beneficiaryId": "1984102812163112960",
    "createTime": "2025-10-31 11:39:07",
    "updateTime": "2025-10-31 11:48:49",
    "merchantNo": "801129",
    "nationality": null,
    "status": "S",
    "remark": null,
    "payoutCurrency": "PKR",
    "expireDate": null,
    "bankName": null,
    "accountName": "betaData testData",
    "bankAddress": null,
    "payeeStatus": "unnecessary",
    "accountBelong": "1",
    "bankCountry": "PK",
    "entityType": "1",
    "payeeAddress": "testdsgddfs1233",
    "paymentMethod": "E_WALLET",
    "payeeCountry": "PK",
    "receiverInfo": "{\"nickName\":\"CyBetatestInvolidPKR3\",\"companyName\":\"helloBoy\",\"lastName\":\"testData\",\"firstName\":\"betaData\",\"areaCode\":\"+92\",\"phone\":\"2313019452\",\"vatNumber\":\"8859884832\",\"birthDate\":\"1990-12-04\",\"email\":null,\"identityNumber\":null,\"identityType\":null}",
    "address": "{\"countryCode\":null,\"state\":\"NY\",\"city\":\"NY\",\"townName\":null,\"addressLine1\":\"testdsgddfs1233\",\"addressLine2\":null,\"addressLine3\":null,\"postalCode\":\"10005\"}",
    "accountInfomation": "{\"cardNumber\":null,\"accountType\":\"\",\"swiftCode\":null,\"sortCode\":null,\"branchCode\":null,\"bankHolderName\":null,\"walletType\":\"EASYPAISA\",\"walletPhone\":\"03079770877\",\"pickUpBankName\":null,\"pickUpBankBranchName\":null,\"pickUpBankBranchId\":null,\"pickUpBankBranchAddress\":null}"
  }
}

Note

  • receiverInfo, address and accountInfomation fields are all in JSON string format
  • For specific field descriptions, please refer to the Enumeration Values interface